<packet name="UpdateSpellBook">
	<version number="1">
		<u16 name="spell_count">
		<u32 name="packed_size">
		<array name="spell_array" count="var:spell_count">
			<substruct name="spells" use="SubStruct_UpdateSpellBook">
		</array>
	</version>
	<version number="373">
		<u16 name="spell_count">
		<u32 name="packed_size">
		<array name="spell_array" count="var:spell_count">
			<substruct name="spells" use="SubStruct_UpdateSpellBook">
		</array>
	</version>
	<version number="546">
		<u16 name="spell_count">
		<u32 name="packed_size">
		<array name="spell_array" count="var:spell_count">
			<substruct name="spells" use="SubStruct_UpdateSpellBook">
		</array>
	</version>
	<version number="562">
		<u16 name="spell_count">
		<u32 name="packed_size">
		<array name="spell_array" count="var:spell_count">
			<substruct name="spells" use="SubStruct_UpdateSpellBook">
		</array>
	</version>
	<version number="1096">
		<u16 name="spell_count">
		<u32 name="packed_size">
		<array name="spell_array" count="var:spell_count">
			<substruct name="spells" use="SubStruct_UpdateSpellBook">
		</array>
	</version>
	<version number="1144">
		<u16 name="spell_count">
		<u32 name="packed_size">
		<array name="spell_array" count="var:spell_count">
			<substruct name="spells" use="SubStruct_UpdateSpellBook">
		</array>
	</version>
	<version number="1188">
		<u16 name="spell_count">
		<u32 name="packed_size">
		<array name="spell_array" count="var:spell_count">
			<substruct name="spells" use="SubStruct_UpdateSpellBook">
		</array>
	</version>
	<version number="1199">
		<u16 name="spell_count">
		<u32 name="packed_size">
		<array name="spell_array" count="var:spell_count">
			<substruct name="spells" use="SubStruct_UpdateSpellBook">
		</array>
	</version>
	<version number="57048">
		<u16 name="spell_count">
		<u32 name="packed_size">
		<array name="spell_array" count="var:spell_count">
			<substruct name="spells" use="SubStruct_UpdateSpellBook">
		</array>
	</version>
	<version number="58617">
		<u16 name="spell_count">
		<u32 name="packed_size">
		<array name="spell_array" count="var:spell_count">
			<substruct name="spells" use="SubStruct_UpdateSpellBook">
		</array>
	</version>
	<version number="58647">
		<u16 name="spell_count">
		<u32 name="packed_size">
		<array name="spell_array" count="var:spell_count">
			<substruct name="spells" use="SubStruct_UpdateSpellBook">
		</array>
	</version>
	<version number="64707">
		<u16 name="spell_count">
		<u32 name="packed_size">
		<array name="spell_array" count="var:spell_count">
			<substruct name="spells" use="SubStruct_UpdateSpellBook">
		</array>
	</version>
</packet>